package com.tocean.app.controller.admin;

import com.tocean.app.controller.request.LevelTimuRequest;
import com.tocean.app.controller.request.datadict.DataDictSearchDto;
import com.tocean.app.dto.request.BasePageRequest;
import com.tocean.app.dto.request.BaseRequest;
import com.tocean.app.dto.response.BasePageResponse;
import com.tocean.app.dto.response.BaseResponse;
import com.tocean.app.entity.LevelTimu;
import com.tocean.app.entity.common.DataDict;
import com.tocean.app.service.LevelTimuService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

@Api(description = "题目")
@Slf4j
@RestController("LevelTimuController")
@RequestMapping("/admin/levelTimu")
public class LevelTimuController {

    @Autowired
    private LevelTimuService levelTimuService;

    @ApiOperation(value = "查询题目")
    @PostMapping("/detail")
    public BaseResponse<BasePageResponse<LevelTimu>> page(@Valid @RequestBody BaseRequest<LevelTimuRequest> request) {
        levelTimuService.getTimu(request.getData().getLevel_id(),request.getData().getTimu_id());
        return BaseResponse.success();
    }

    @ApiOperation(value = "查询关卡关联的题目")
    @GetMapping("/{levelId}/link")
    public BaseResponse<List<String>> page(@PathVariable("levelId") String levelId) {
        return BaseResponse.success(levelTimuService.link(levelId));
    }
    //todo 关联接口

    //todo 取消关联接口
}
