package com.tocean.app.controller.admin;

import com.tocean.app.controller.request.PaperOperateRequest;
import com.tocean.app.controller.request.datadict.DataDictOperateDto;
import com.tocean.app.dto.request.BasePageRequest;
import com.tocean.app.dto.request.BaseRequest;
import com.tocean.app.dto.response.BasePageResponse;
import com.tocean.app.dto.response.BaseResponse;
import com.tocean.app.entity.Paper;
import com.tocean.app.service.PaperService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@Api(description = "试卷")
@Slf4j
@RestController("PaperController")
@RequestMapping("/admin/paper")
public class PaperController {

    @Autowired
    private PaperService paperService;

    @ApiOperation(value = "新增试卷")
    @PostMapping
    public BaseResponse<?> saveOrUpdate(@Valid @RequestBody BaseRequest<PaperOperateRequest> request) {
        paperService.save(request.getData().getName(),request.getData().getGradeName(),request.getData().getSubject());
        return BaseResponse.success();
    }

    @ApiOperation(value = "分页查询试卷")
    @PostMapping("/page")
    public BaseResponse<BasePageResponse<Paper>> page(@Valid @RequestBody BasePageRequest<PaperOperateRequest> request) {
        return BaseResponse.success(paperService.page(request.getPage(),request.getLimit(),request.getData()));
    }
}
