package com.tocean.app.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tocean.app.controller.request.LevelTimuRequest;
import com.tocean.app.dto.response.BasePageResponse;
import com.tocean.app.entity.LevelTimu;
import com.tocean.app.mapper.LevelTimuMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class LevelTimuService {

    @Autowired
    private LevelTimuMapper levelTimuMapper;

    public void getTimu(String level_id, String timu_id) {
        LevelTimu levelTimu = new LevelTimu();
        levelTimu.setLevelId(level_id);//关卡id
        levelTimu.setTimuId(timu_id);//题目id
        levelTimuMapper.insert(levelTimu);
    }

    public BasePageResponse<LevelTimu> page(Integer page, Integer size, LevelTimuRequest request) {
        Page<LevelTimu> _page = new Page(page, size);
        IPage<LevelTimu> list = levelTimuMapper.page(_page, request);
        return new BasePageResponse().setTotal(list.getTotal()).setData(list.getRecords());
    }

    public List<String> link(String levelId) {
        return levelTimuMapper.selectList(new QueryWrapper<LevelTimu>().lambda()
                .eq(LevelTimu::getLevelId, levelId)
        ).stream().map(p -> p.getTimuId()).collect(Collectors.toList());
    }

}
