package com.tocean.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tocean.app.controller.request.PaperOperateRequest;
import com.tocean.app.dto.response.BasePageResponse;
import com.tocean.app.entity.Paper;
import com.tocean.app.mapper.PaperMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PaperService {

    @Autowired
    private PaperMapper paperMapper;

    public void save(String name,String gradeName,String subject){
        Paper paper = new Paper();
        paper.setName(name);//试卷名称
        paper.setGradeName(gradeName);//年纪
        paper.setSubject(subject);//学科

        paperMapper.insert(paper);

    }

    public BasePageResponse<Paper> page(Integer page, Integer limit, PaperOperateRequest request){
        Page<Paper> _page = new Page (page,limit);
        IPage<Paper> list = paperMapper.page(_page,request);
        return new BasePageResponse().setTotal(list.getTotal()).setData(list.getRecords());
    }

}
